summaryrefslogtreecommitdiff
path: root/test/scripts/light-system-test.sh
diff options
context:
space:
mode:
authorMagnus Ahltorp <map@kth.se>2016-10-05 15:07:46 +0200
committerMagnus Ahltorp <map@kth.se>2016-10-05 15:07:46 +0200
commit487b8f49a13215c3b3ec809dc8526522647cede2 (patch)
treea1c102b40f13eb45f82ae673d4b0af141787a19e /test/scripts/light-system-test.sh
parent1d902cd5813a2df252b6976bdcdc9cd7531590b4 (diff)
Move test preparation to separate shell scriptlarge-tests2
Diffstat (limited to 'test/scripts/light-system-test.sh')
-rwxr-xr-xtest/scripts/light-system-test.sh63
1 files changed, 16 insertions, 47 deletions
diff --git a/test/scripts/light-system-test.sh b/test/scripts/light-system-test.sh
index 7dd9fcf..1a60499 100755
--- a/test/scripts/light-system-test.sh
+++ b/test/scripts/light-system-test.sh
@@ -9,67 +9,36 @@ PREFIX=..
. test.shvars
-tests_prepare() {
- rm -r ${INSTDIR}/tests || true
- mkdir ${INSTDIR}/tests
- make tests-createca
- make tests-createcert
- mkdir ${INSTDIR}/tests/keys
- (cd ${INSTDIR}/tests/keys ; ../../../tools/create-key.sh logkey)
- openssl pkcs8 -topk8 -nocrypt -in ${INSTDIR}/tests/keys/logkey-private.pem -out ${INSTDIR}/tests/keys/logkey-private.pkcs8
- mkdir ${INSTDIR}/tests/mergedb
- touch ${INSTDIR}/tests/mergedb/logorder
- mkdir ${INSTDIR}/tests/mergedb-secondary
- touch ${INSTDIR}/tests/mergedb-secondary/logorder
- printf 0 > ${INSTDIR}/tests/mergedb-secondary/verifiedsize
- mkdir ${INSTDIR}/tests/known_roots
- cp ../tools/testcerts/roots/* ${INSTDIR}/tests/known_roots
- for machine in ${MACHINES}; do \
- (cd ${INSTDIR}/tests; ../../tools/compileconfig.py --config ../../test/catlfish-test.cfg --localconfig ../../test/catlfish-test-local-${machine}.cfg) && \
- mkdir -p ${INSTDIR}/tests/machine/machine-${machine}/db && \
- touch ${INSTDIR}/tests/machine/machine-${machine}/db/index && touch ${INSTDIR}/tests/machine/machine-${machine}/db/newentries
- done
- (cd ${INSTDIR}/tests; ../../tools/compileconfig.py --config ../../test/catlfish-test.cfg --localconfig ../../test/catlfish-test-local-merge-2.cfg)
- (cd ${INSTDIR}/tests; ../../tools/compileconfig.py --config ../../test/catlfish-test.cfg --localconfig ../../test/catlfish-test-local-signing.cfg)
- mkdir ${INSTDIR}/tests/privatekeys
- mkdir ${INSTDIR}/tests/publickeys
- for node in ${NODES}; do \
- (cd ${INSTDIR}/tests/privatekeys ; ../../../tools/create-key.sh ${node}) ; \
- mv ${INSTDIR}/tests/privatekeys/${node}.pem ${INSTDIR}/tests/publickeys/ ; \
- mkdir -p ${INSTDIR}/tests/nodes/${node}/log
- done
- (cd ${INSTDIR}/tests/privatekeys ; ../../../tools/create-key.sh merge-1)
- mv ${INSTDIR}/tests/privatekeys/merge-1.pem ${INSTDIR}/tests/publickeys/
- (cd ${INSTDIR}/tests/privatekeys ; ../../../tools/create-key.sh merge-2)
- mv ${INSTDIR}/tests/privatekeys/merge-2.pem ${INSTDIR}/tests/publickeys/
- test -x ${SOFTHSM} && ${SOFTHSM} --init-token --slot=0 --label=mylabel --so-pin=ffff --pin=ffff || true
- test -x ${SOFTHSM} && ${SOFTHSM} --import ${INSTDIR}/tests/keys/logkey-private.pkcs8 --slot 0 --label mylabel --pin ffff --id 00 || true
+SCRIPTS=${PREFIX}/test/scripts
+
+tests_start() {
+ ${SCRIPTS}/light-system-test-start.sh
}
tests_stop() {
- ${PREFIX}/test/scripts/light-system-test-stop.sh
+ ${SCRIPTS}/light-system-test-stop.sh
}
-tests_prepare
-${PREFIX}/test/scripts/light-system-test-start.sh
-${PREFIX}/test/scripts/light-system-test-run-1.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+${SCRIPTS}/light-system-test-prepare.sh
+tests_start
+${SCRIPTS}/light-system-test-run-1.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
sleep 5
tests_stop
sleep 5
-${PREFIX}/test/scripts/light-system-test-start.sh
-${PREFIX}/test/scripts/light-system-test-run-2.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+tests_start
+${SCRIPTS}/light-system-test-run-2.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
sleep 5
tests_stop
sleep 5
-${PREFIX}/test/scripts/light-system-test-prepare-merge-takeover.sh
-${PREFIX}/test/scripts/light-system-test-start.sh
-${PREFIX}/test/scripts/light-system-test-run-3.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+${SCRIPTS}/light-system-test-prepare-merge-takeover.sh
+tests_start
+${SCRIPTS}/light-system-test-run-3.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
sleep 5
tests_stop
sleep 5
-${PREFIX}/test/scripts/light-system-test-prepare-redistribute-frontend.sh
-${PREFIX}/test/scripts/light-system-test-start.sh
-${PREFIX}/test/scripts/light-system-test-run-4.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+${SCRIPTS}/light-system-test-prepare-redistribute-frontend.sh
+tests_start
+${SCRIPTS}/light-system-test-run-4.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
sleep 5
tests_stop